Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# _INTERNAL_REQUEST Struct Reference
[NPF structures and definitions]

Stores an OID request. More...

`#include <Packet.h>`

## Data Fields
LIST_ENTRY | ListElement
| Used to handle lists of requests.
PIRP | Irp
| Irp that performed the request.
BOOLEAN | Internal
| True if the request is for internal use of npf.sys. False if the request is performed by the user through an IOCTL.
NDIS_REQUEST | Request
| The structure with the actual request, that will be passed to NdisRequest().

## Detailed Description

Stores an OID request.

This structure is used by the driver to perform OID query or set operations on the underlying NIC driver. The OID operations be performed usually only by network drivers, but NPF exports this mechanism to user-level applications through an IOCTL interface. The driver uses this structure to wrap a NDIS_REQUEST structure. This allows to handle correctly the callback structure of NdisRequest(), handling multiple requests and maintaining information about the IRPs to complete.

Definition at line 238 of file Packet.h.

## Field Documentation

BOOLEAN Internal

| True if the request is for internal use of npf.sys. False if the request is performed by the user through an IOCTL. Definition at line 241 of file Packet.h. Referenced by NPF_IoControl(), NPF_OpenAdapterComplete(), and NPF_RequestComplete().

PIRP Irp

| Irp that performed the request. Definition at line 240 of file Packet.h. Referenced by NPF_IoControl(), NPF_OpenAdapterComplete(), and NPF_RequestComplete().

LIST_ENTRY ListElement

| Used to handle lists of requests. Definition at line 239 of file Packet.h. Referenced by NPF_Open(), and NPF_RequestComplete().

NDIS_REQUEST Request

| The structure with the actual request, that will be passed to NdisRequest(). Definition at line 242 of file Packet.h. Referenced by NPF_IoControl(), NPF_OpenAdapterComplete(), and NPF_RequestComplete().

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.